#pragma once

#include "CoreMinimal.h"
#include "Engine/DataTable.h"
#include "UObject/SoftObjectPtr.h"
#include "SpecialEventIcon.generated.h"

class UTexture2D;

USTRUCT(BlueprintType)
struct FSpecialEventIcon : public FTableRowBase
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftObjectPtr<UTexture2D> Icon;

public:
	DBDUIVIEWINTERFACES_API FSpecialEventIcon();
};

FORCEINLINE uint32 GetTypeHash(const FSpecialEventIcon) { return 0; }
